Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundacji Dzieciom zdazyć z Pomocą.
Więcej informacji na dug.net.pl/pomagamy/.

#1  2020-06-25 21:14:41

  zl23 - Użytkownik

zl23
Użytkownik
Zarejestrowany: 2016-09-02

lpinfo: Internal Server Error, Debian Live Bullseye

Witam, mam taki problem.

Po uruchomieniu LiveDVD Bullseye (weekly-live z 2020-06-23, xfce+non-free) i wydaniu polecenia:

Kod:

/usr/sbin/lpinfo -v

otrzymuję informację:

lpinfo: Bad file descriptor

Prawdopodobnie dlatego, bo na Live nie jest zainstalowany cups.
Po:

Kod:

adduser user lpadmin
apt update
apt install cups cups-bsd
/etc/init.d/cups status
/etc/init.d/cups start

wylogowuję się i zalogowuję się ponownie (login: user, passw.: live).
Teraz już user należy do grupy lpadmin, cups jest aktywny.
Zarówno jako user, jak i root otrzymuję:

Kod:

/usr/sbin/lpinfo -v
lpinfo: Internal Server Error

Co z tym dalej można zrobić?

Próbowałem doinstalować foomatic-db i foomatic-engine - ale bez zmian.
Oczywiście korzystając z systemu Live zastosowanie "ponowne uruchomienie systemu" nie ma sensu.

Powyższy problem, o dziwo, nie występuje gdy Bullseye zainstaluję na pamięci USB jak na dysku twardym.

Ten sam problem występuje na Live Debian Buster ver. 10.4 (xfce + non-free).

Natomiast gdy uruchomię znalezioną w szufladzie płytę Debian Live Wheezy 7.11 i wydam polecenie jako root, otrzymuję to co trzeba, tj:

Kod:

lpinfo -v
network http
network https
network ipp
network ipps
network lpd
network beh
network socket
direct hp
network smb
direct hpfax

Na Live Wheezy cups, cups-bsd jest zainstalowany, aktywny oraz user należy do grupy lpadmin. Nic nie trzeba robić i działa.
Również na najnowszej becie Mint 20 Ulyana działa jak trzeba.

Co zrobić, żeby na nowszych Debianach Live działało podobnie?
Będę wdzięczny za jakiekolwiek sugestie.

Ostatnio edytowany przez zl23 (2020-06-25 21:40:28)

Offline

 

#2  2020-06-25 22:34:18

  Jacekalex - Podobno człowiek...;)

Jacekalex
Podobno człowiek...;)
Skąd: /dev/random
Zarejestrowany: 2008-01-07

Re: lpinfo: Internal Server Error, Debian Live Bullseye

Na LiveDVD też się czasem błędy w pakietach zdarzają, zwłaszcza w wydaniach testowych.

Gdybyś zainstalował Debiana na dysku, to w przypadku błędu można by poczekać na aktualizacje wadliwego pakietu,
albo zainstalować pakiet z innej gałęzi Debiana.
Ale na obrazie LiveDVD nic nie poradzisz, bo nic tam nie zaktualizujesz i nie poprawisz.

To by było na tyle

Ostatnio edytowany przez Jacekalex (2020-06-25 22:34:43)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Online

 

#3  2020-06-28 08:05:27

  zl23 - Użytkownik

zl23
Użytkownik
Zarejestrowany: 2016-09-02

Re: lpinfo: Internal Server Error, Debian Live Bullseye

Ponieważ powyższy temat nie dawał mi spokoju przyjrzałem się plikom *.packages w katalogu
https://cdimage.debian.org/cdimage/unofficial/non-f … 4/iso-hybrid/

Wniosek z tego taki, że tylko wydania cinnamon i kde mają cups z zależnościami, reszta wydań (gnome,lxde, lxqt, mate, xfce) nie mają pakietów cups lub mają jakieś ocalałości jakby po czyszczeniu.

Po uruchomieniu systemu z debian-live-testing-amd64-cinnamon+nonfree.iso, dodaniu usera do grupy lpadmin (i lp na wszelki wypadek) – polecenie /usr/binlpinfo -v działa poprawnie.
Brakowało tylko pakietu cups-bsd, który doinstalowałem (zawiera m. in. polecenie lpr).

Dzięki temu mogłem sprawdzić, czy instalator firmowy Brothera (https://support.brother.com/g/b/downloadend.aspx?c= … amp;type3=625) na najnowszym Debian Testing poprawnie instaluje swoje trochę dziwne sterowniki.
Dziwne, bo stosuje dpkg -i --force-all dla swoich 386 bitowych paczek na 64 bitowych systemach. Ale to osobny temat.
W skrócie: działa.

Wg mnie jedynym udziwnieniem wydania cinnamon było to, że zawierał jakieś terminale z których wydawanych poleceń nie można było kopiować i wklejać do edytora.
Trzeba było zainstalować gnome-terminal.

Powyższe działania nie uważam za rozwiązanie problemu, tylko za obejście go, dlatego, że cinnamon czasami lubi wieszać się na niektórych kartach NVidii (nouveau), więc nie jest najlepszym wyborem.
Natomiast wydanie xfce to najmniejszy obraz i to wydanie powinno być bez zastrzeżeń.

Pozdrawiam.

Ostatnio edytowany przez zl23 (2020-06-28 08:12:54)

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Możesz wyłączyć AdBlock — tu nie ma reklam ;-)